NX Open C++ Reference Guide
|
Represents a @link Features::Feature Features::Feature@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateWavePointBuilder Features::FeatureCollection::CreateWavePointBuilder @endlink <br>
Default values. More...
Public Types | |
enum | ParentPartType { ParentPartTypeWorkPart, ParentPartTypeOtherPart } |
enum for scope of part More... | |
Public Member Functions | |
bool | Associative () |
Returns the associative Created in NX5.0.0. | |
NXOpen::Features::Feature * | CommitCreateOnTheFly () |
Commits the feature and set create on the fly flag. | |
bool | DrawLineBetweenPoints () |
Returns the draw line Created in NX5.0.0. | |
bool | FixAtCurrentTimestamp () |
Returns the fix at timestamp Created in NX5.0.0. | |
NXOpen::Features::Feature * | FrecAtTimeStamp () |
Returns the frec at time stamp Created in NX6.0.1. | |
void | GetProductInterfaceObjects (std::vector< NXOpen::Assemblies::ProductInterface::InterfaceObject * > &selectedObjects) |
Gets selected product interface objects Created in NX9.0.0. | |
void | GetWaveLinkInformation (NXString *info, bool *xformExists, NXOpen::Point3d *xformOrigin, NXOpen::Matrix3x3 *xformOrientation, double *xformScale) |
Prints wave browser type information about link Created in NX6.0.0. | |
bool | InheritDisplayProperties () |
Returns the inherit display property option Created in NX6.0.0. | |
bool | MakePositionIndependent () |
Returns the makepositionindependent Created in NX5.0.0. | |
NXOpen::Features::WavePointBuilder::ParentPartType | ParentPart () |
Returns the source part type Created in NX8.5.0. | |
NXOpen::SelectPointList * | Points () |
Returns the point to link Created in NX5.0.0. | |
void | SetAssociative (bool associative) |
Sets the associative Created in NX5.0.0. | |
void | SetDrawLineBetweenPoints (bool drawLine) |
Sets the draw line Created in NX5.0.0. | |
void | SetFixAtCurrentTimestamp (bool timestamp) |
Sets the fix at timestamp Created in NX5.0.0. | |
void | SetFrecAtTimeStamp (NXOpen::Features::Feature *terminalFrec) |
Sets the frec at time stamp Created in NX6.0.1. | |
void | SetInheritDisplayProperties (bool inheritDisplayProperties) |
Sets the inherit display property option Created in NX6.0.0. | |
void | SetMakePositionIndependent (bool makePositionIndependent) |
Sets the makepositionindependent Created in NX5.0.0. | |
void | SetParentPart (NXOpen::Features::WavePointBuilder::ParentPartType parentPart) |
Sets the source part type Created in NX8.5.0. | |
void | SetProductInterfaceObjects (const std::vector< NXOpen::Assemblies::ProductInterface::InterfaceObject * > &selectedObjects) |
Sets selected product interface objects Created in NX9.0.0. | |
void | SetSourcePartOccurrence (NXOpen::TaggedObject *sourcePartOcc) |
Sets the source part occurrence Created in NX9.0.0. | |
NXOpen::TaggedObject * | SourcePartOccurrence () |
Returns the source part occurrence Created in NX9.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::Feature Features::Feature@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateWavePointBuilder Features::FeatureCollection::CreateWavePointBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Associative |
True |
DrawLineBetweenPoints |
False |
InheritDisplayProperties |
False |
ParentPart |
OtherPart |
Created in NX5.0.0.
bool NXOpen::Features::WavePointBuilder::Associative | ( | ) |
Returns the associative
Created in NX5.0.0.
License requirements : None
NXOpen::Features::Feature* NXOpen::Features::WavePointBuilder::CommitCreateOnTheFly | ( | ) |
Commits the feature and set create on the fly flag.
bool NXOpen::Features::WavePointBuilder::DrawLineBetweenPoints | ( | ) |
Returns the draw line
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::WavePointBuilder::FixAtCurrentTimestamp | ( | ) |
Returns the fix at timestamp
Created in NX5.0.0.
License requirements : None
NXOpen::Features::Feature* NXOpen::Features::WavePointBuilder::FrecAtTimeStamp | ( | ) |
Returns the frec at time stamp
Created in NX6.0.1.
License requirements : None
void NXOpen::Features::WavePointBuilder::GetProductInterfaceObjects | ( | std::vector< NXOpen::Assemblies::ProductInterface::InterfaceObject * > & | selectedObjects | ) |
Gets selected product interface objects
Created in NX9.0.0.
License requirements : None
selectedObjects | items in list |
void NXOpen::Features::WavePointBuilder::GetWaveLinkInformation | ( | NXString * | info, |
bool * | xformExists, | ||
NXOpen::Point3d * | xformOrigin, | ||
NXOpen::Matrix3x3 * | xformOrientation, | ||
double * | xformScale | ||
) |
Prints wave browser type information about link
Created in NX6.0.0.
License requirements : wave ("WAVE FUNCTIONALITY")
info | queried wave information |
xformExists | true if there is a transform |
xformOrigin | transformation origin |
xformOrientation | transformation matrix |
xformScale | transformation scale |
bool NXOpen::Features::WavePointBuilder::InheritDisplayProperties | ( | ) |
Returns the inherit display property option
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::WavePointBuilder::MakePositionIndependent | ( | ) |
Returns the makepositionindependent
Created in NX5.0.0.
License requirements : None
NXOpen::Features::WavePointBuilder::ParentPartType NXOpen::Features::WavePointBuilder::ParentPart | ( | ) |
Returns the source part type
Created in NX8.5.0.
License requirements : None
NXOpen::SelectPointList* NXOpen::Features::WavePointBuilder::Points | ( | ) |
Returns the point to link
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::WavePointBuilder::SetAssociative | ( | bool | associative | ) |
Sets the associative
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
associative | associative |
void NXOpen::Features::WavePointBuilder::SetDrawLineBetweenPoints | ( | bool | drawLine | ) |
Sets the draw line
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
drawLine | drawline |
void NXOpen::Features::WavePointBuilder::SetFixAtCurrentTimestamp | ( | bool | timestamp | ) |
Sets the fix at timestamp
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
timestamp | timestamp |
void NXOpen::Features::WavePointBuilder::SetFrecAtTimeStamp | ( | NXOpen::Features::Feature * | terminalFrec | ) |
Sets the frec at time stamp
Created in NX6.0.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
terminalFrec | terminal frec |
void NXOpen::Features::WavePointBuilder::SetInheritDisplayProperties | ( | bool | inheritDisplayProperties | ) |
Sets the inherit display property option
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
inheritDisplayProperties | inheritdisplayproperties |
void NXOpen::Features::WavePointBuilder::SetMakePositionIndependent | ( | bool | makePositionIndependent | ) |
Sets the makepositionindependent
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
makePositionIndependent | makepositionindependent |
void NXOpen::Features::WavePointBuilder::SetParentPart | ( | NXOpen::Features::WavePointBuilder::ParentPartType | parentPart | ) |
Sets the source part type
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
parentPart | parentpart |
void NXOpen::Features::WavePointBuilder::SetProductInterfaceObjects | ( | const std::vector< NXOpen::Assemblies::ProductInterface::InterfaceObject * > & | selectedObjects | ) |
Sets selected product interface objects
Created in NX9.0.0.
License requirements : None
selectedObjects | items in list |
void NXOpen::Features::WavePointBuilder::SetSourcePartOccurrence | ( | NXOpen::TaggedObject * | sourcePartOcc | ) |
Sets the source part occurrence
Created in NX9.0.0.
License requirements : None
sourcePartOcc | sourcepartocc |
NXOpen::TaggedObject* NXOpen::Features::WavePointBuilder::SourcePartOccurrence | ( | ) |
Returns the source part occurrence
Created in NX9.0.0.
License requirements : None